Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.scatterbox
Interface Constants

All Known Subinterfaces:
  DomainRangeObjectPairConstants, KBQueryUtils, SingleObjectEntryConstants

All Known Implementing Classes:
  AbstractTextPanel, BasicOrder, BasicQueryObject, ClassTermPropertiesConfigurationPanel, Cls_Filling, DomainRangeObjectPairEntry, DomainRangeObjectPairEntryScatterboxConfigurationChecks, HorizontalTextPanel, Instance_Filling, InstanceTermPropertiesConfigurationPanel, Integer_Filling, ScatterboxTableCellRenderer, ScatterboxWidgetState, SingleObjectEntry, SingleObjectEntryScatterboxConfigurationChecks, StandardScatterboxConfigurationChecks, Symbol_Filling, VerticalTextPanel

    public interface Constants

Description of the Interface

Author:
  William Grosso

Field Summary
`static String` | `DIRECT_INSTANCES_ONLY`
`static String` | `DOMAIN_VALUE_SLOTS`
`static String` | `ENTRY_METACLASS_NAME`
`static String` | `ENTRY_SLOT_NAME`
`static String` | `FUNCTION_NAME`
`static String` | `HIERARCHICAL_INCLUDE_EVERYTHING`
`static String` | `HIERARCHICAL_OMIT_ROOTS`
`static String` | `HIERARCHICAL_ONLY_INCLUDE_LEAVES`
`static String` | `HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN`
`static Color` | `NULL_SELECTED_COLOR`
`static String` | `RANGE_VALUE_SLOTS`
`static int` | `RECURSIVE_COPY_DEPTH_FOR_DND`
`static double` | `TEXT_SCALING_FACTOR`
`static String` | `USE_ALL_INSTANCES`

Field Detail

### RECURSIVE_COPY_DEPTH_FOR_DND

    static final int RECURSIVE_COPY_DEPTH_FOR_DND

See Also:
  Constant Field Values

### ENTRY_METACLASS_NAME

    static final String ENTRY_METACLASS_NAME

See Also:
  Constant Field Values

### ENTRY_SLOT_NAME

    static final String ENTRY_SLOT_NAME

See Also:
  Constant Field Values

### DOMAIN_VALUE_SLOTS

    static final String DOMAIN_VALUE_SLOTS

See Also:
  Constant Field Values

### RANGE_VALUE_SLOTS

    static final String RANGE_VALUE_SLOTS

See Also:
  Constant Field Values

### NULL_SELECTED_COLOR

    static final Color NULL_SELECTED_COLOR

### TEXT_SCALING_FACTOR

    static final double TEXT_SCALING_FACTOR

See Also:
  Constant Field Values

### FUNCTION_NAME

    static final String FUNCTION_NAME

See Also:
  Constant Field Values

### HIERARCHICAL_INCLUDE_EVERYTHING

    static final String HIERARCHICAL_INCLUDE_EVERYTHING

See Also:
  Constant Field Values

### HIERARCHICAL_OMIT_ROOTS

    static final String HIERARCHICAL_OMIT_ROOTS

See Also:
  Constant Field Values

### HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN

    static final String HIERARCHICAL_ONLY_INCLUDE_LEVEL_1_CHILDREN

See Also:
  Constant Field Values

### HIERARCHICAL_ONLY_INCLUDE_LEAVES

    static final String HIERARCHICAL_ONLY_INCLUDE_LEAVES

See Also:
  Constant Field Values

### DIRECT_INSTANCES_ONLY

    static final String DIRECT_INSTANCES_ONLY

See Also:
  Constant Field Values

### USE_ALL_INSTANCES

    static final String USE_ALL_INSTANCES

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request